/*
  binforge - Repository system for Windows
  Copyright (C) 2009 Younes Serraj  Tous droits rservs.

  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la GNU General Public License telle que
  publie par la Free Software Foundation : soit la version 3 de cette
  licence, soit ( votre gr) toute version ultrieure.

  Ce programme est distribu dans lespoir quil vous sera utile, mais SANS
  AUCUNE GARANTIE : sans mme la garantie implicite de COMMERCIALISABILIT
  ni dADQUATION  UN OBJECTIF PARTICULIER. Consultez la Licence Gnrale
  Publique GNU pour plus de dtails.

  Vous devriez avoir reu une copie de la Licence Gnrale Publique GNU avec
  ce programme ; si ce nest pas le cas, consultez :
  <http://www.gnu.org/licenses/>.
*/

#ifdef BINFORGE_H
#ifndef PACKAGES_REPOSITORY_H
#define PACKAGES_REPOSITORY_H

#include <stdio.h>
#include <direct.h>

int pkgr_init();

char *pkgr_get_filepath(int pkg_id);
int pkgr_add(int pkg_id, char *file);
int pkgr_delete(int pkg_id);
int pkgr_exists(int pkg_id);
FILE *pkgr_get(int pkg_id);

#endif PACKAGES_REPOSITORY_H
#endif BINFORGE_H
