/*
  binforge - Repository system for Windows
  Copyright (C) 2009 Younes Serraj  Tous droits rservs.

  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la GNU General Public License telle que
  publie par la Free Software Foundation : soit la version 3 de cette
  licence, soit ( votre gr) toute version ultrieure.

  Ce programme est distribu dans lespoir quil vous sera utile, mais SANS
  AUCUNE GARANTIE : sans mme la garantie implicite de COMMERCIALISABILIT
  ni dADQUATION  UN OBJECTIF PARTICULIER. Consultez la Licence Gnrale
  Publique GNU pour plus de dtails.

  Vous devriez avoir reu une copie de la Licence Gnrale Publique GNU avec
  ce programme ; si ce nest pas le cas, consultez :
  <http://www.gnu.org/licenses/>.
*/

#ifdef BINFORGE_H
#ifndef WINTHREAD_C
#define WINTHREAD_C

HANDLE thread_create(LPVOID funct, LPVOID param)
{
	DWORD ThreadID;
	HANDLE hThread;

	hThread = CreateThread(NULL, (DWORD)NULL, funct, (LPVOID) param, (DWORD)NULL, &ThreadID);

	return hThread;
}

void thread_close(HANDLE hThread)
{
	CloseHandle(hThread);
}

#endif WINTHREAD_C
#endif BINFORGE_H
